Skip to main content
PATCH
/
v4
/
core
/
companies
/
{companyId}
/
sync-config
Update sync config
curl --request PATCH \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/sync-config \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "configs": [
    {
      "frequency": "DAILY",
      "data_model": "INVOICE",
      "category": "ACCOUNTING",
      "scope_access": {
        "READ": true,
        "CREATE": false,
        "UPDATE": false,
        "DELETE": false
      },
      "enabled": true,
      "interval": 1,
      "sync_from": "2024-01-01T00:00:00Z"
    }
  ]
}
'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/sync-config"

payload = { "configs": [
        {
            "frequency": "DAILY",
            "data_model": "INVOICE",
            "category": "ACCOUNTING",
            "scope_access": {
                "READ": True,
                "CREATE": False,
                "UPDATE": False,
                "DELETE": False
            },
            "enabled": True,
            "interval": 1,
            "sync_from": "2024-01-01T00:00:00Z"
        }
    ] }
headers = {
    "api_key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    configs: [
      {
        frequency: 'DAILY',
        data_model: 'INVOICE',
        category: 'ACCOUNTING',
        scope_access: {READ: true, CREATE: false, UPDATE: false, DELETE: false},
        enabled: true,
        interval: 1,
        sync_from: '2024-01-01T00:00:00Z'
      }
    ]
  })
};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/sync-config', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
number
required

Body

application/json
configs
object[]
required
Minimum array length: 1

Response

200

The sync config was updated.